cURL
curl --request GET \
--url https://gateway.architect.exchange/api/fills \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.architect.exchange/api/fills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.architect.exchange/api/fills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fills": [
{
"account_id": "<string>",
"fee": "<string>",
"is_taker": true,
"price": "<string>",
"quantity": 1,
"side": "B",
"symbol": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"trade_id": "<string>",
"is_block_trade": true,
"is_final_settlement": true,
"order_id": "<string>",
"realized_pnl": "<string>"
}
],
"limit": 1,
"next_cursor": "<string>",
"total_count": 1
}{
"error": "<string>"
}Portfolio management
Get fills
Returns historical fills for the authenticated user. Requires an explicit time range: both start_timestamp_ns and end_timestamp_ns must be provided and span no more than 7 days. Missing, inverted, or wider ranges are rejected with a 400.
GET
/
fills
cURL
Authorizations
User session token
Query Parameters
Optional account ID. If omitted, default (primary) user account is used.
Optional symbol filter. If provided, only fills for this symbol will be returned.
Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Timestamp sort direction (defaults to desc).
Available options:
asc, desc